Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.view.domain
Class PropertyFilter

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.view.domain.PropertyFilter

All Implemented Interfaces:
  FilterElement

    public class PropertyFilter

extends java.lang.Object
implements FilterElement

Version:
  $Id: PropertyFilter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static byte` | `BETWEEN`
`static byte` | `EQ`
`static byte` | `GT`
`static byte` | `LIKE`
`static byte` | `LT`

Constructor Summary
`PropertyFilter()`

Method Summary
`void` | `apply(Filter filter)`
`java.lang.Object` | `getHighValue()`
`java.lang.Object` | `getLowValue()`
`byte` | `getOp()`
`java.lang.String` | `getProperty()`
`java.lang.Object` | `getValue()`
`void` | `setHighValue(java.lang.Object hiValue)`
`void` | `setLowValue(java.lang.Object loValue)`
`void` | `setOp(byte op)`
`void` | `setProperty(java.lang.String property)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQ

    public static final byte EQ

See Also:
  Constant Field Values

### LIKE

    public static final byte LIKE

See Also:
  Constant Field Values

### GT

    public static final byte GT

See Also:
  Constant Field Values

### LT

    public static final byte LT

See Also:
  Constant Field Values

### BETWEEN

    public static final byte BETWEEN

See Also:
  Constant Field Values

Constructor Detail

### PropertyFilter

    public PropertyFilter()

Method Detail

### apply

    public void apply(Filter filter)

  Specified by:
    `apply` in interface `FilterElement`

### getOp

    public byte getOp()

### setOp

    public void setOp(byte op)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### getLowValue

    public java.lang.Object getLowValue()

### setLowValue

    public void setLowValue(java.lang.Object loValue)

### getHighValue

    public java.lang.Object getHighValue()

### setHighValue

    public void setHighValue(java.lang.Object hiValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.